OGRE: Ogre::TerrainQuadTreeNode::VertexDataRecord Struct Reference - OGRE Documentation

Public Member Functions | Public Attributes

# Ogre::TerrainQuadTreeNode::VertexDataRecord Struct Reference

`#include <OgreTerrainQuadTreeNode.h>`

Inheritance diagram for Ogre::TerrainQuadTreeNode::VertexDataRecord:
[legend]

List of all members.

## Public Member Functions
| VertexDataRecord (uint16 res, uint16 sz, uint16 lvls)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Public Attributes
VertexData * | cpuVertexData
VertexData * | gpuVertexData
uint16 | resolution
| resolution of the data compared to the base terrain data (NOT number of vertices!)
uint16 | size
| size of the data along one edge
uint16 | treeLevels
| Number of quadtree levels (including this one) this data applies to.
uint16 | numSkirtRowsCols
| Number of rows and columns of skirts.
uint16 | skirtRowColSkip
| The number of rows / cols to skip in between skirts.
bool | gpuVertexDataDirty
| Is the GPU vertex data out of date?

## Detailed Description

Definition at line 284 of file OgreTerrainQuadTreeNode.h.

## Constructor & Destructor Documentation

Ogre::TerrainQuadTreeNode::VertexDataRecord::VertexDataRecord | ( | uint16 | res,
|  | uint16 | sz,
|  | uint16 | lvls |
| ) |  |  |

Definition at line 301 of file OgreTerrainQuadTreeNode.h.

## Member Function Documentation

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

VertexData* Ogre::TerrainQuadTreeNode::VertexDataRecord::cpuVertexData

Definition at line 286 of file OgreTerrainQuadTreeNode.h.

VertexData* Ogre::TerrainQuadTreeNode::VertexDataRecord::gpuVertexData

Definition at line 287 of file OgreTerrainQuadTreeNode.h.

bool Ogre::TerrainQuadTreeNode::VertexDataRecord::gpuVertexDataDirty

Is the GPU vertex data out of date?

Definition at line 299 of file OgreTerrainQuadTreeNode.h.

uint16 Ogre::TerrainQuadTreeNode::VertexDataRecord::numSkirtRowsCols

Number of rows and columns of skirts.

Definition at line 295 of file OgreTerrainQuadTreeNode.h.

uint16 Ogre::TerrainQuadTreeNode::VertexDataRecord::resolution

resolution of the data compared to the base terrain data (NOT number of vertices!)

Definition at line 289 of file OgreTerrainQuadTreeNode.h.

uint16 Ogre::TerrainQuadTreeNode::VertexDataRecord::size

size of the data along one edge

Definition at line 291 of file OgreTerrainQuadTreeNode.h.

uint16 Ogre::TerrainQuadTreeNode::VertexDataRecord::skirtRowColSkip

The number of rows / cols to skip in between skirts.

Definition at line 297 of file OgreTerrainQuadTreeNode.h.

uint16 Ogre::TerrainQuadTreeNode::VertexDataRecord::treeLevels

Number of quadtree levels (including this one) this data applies to.

Definition at line 293 of file OgreTerrainQuadTreeNode.h.

The documentation for this struct was generated from the following file:

- OgreTerrainQuadTreeNode.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:05